## pdmenu 1.3.2

=== debian/changelog ===
pdmenu (1.3.2) unstable; urgency=low

  * debian/rules: use dh
  * Rename libgpm-dev build dep.
  * Build with gpm support on s390, hopefully this is ok now.

 -- Joey Hess <joeyh@debian.org>  Tue, 23 Aug 2011 13:29:13 -0400

=== debian/control ===
Source: pdmenu
Section: shells
Priority: optional
Build-Depends: debhelper (>= 8), libslang2-dev (>= 1.4.4-3), libgpm-dev [!hurd-any !kfreebsd-any], gettext, dpkg-dev (>= 1.9.0)
Maintainer: Joey Hess <joeyh@debian.org>
Standards-Version: 3.9.2
Vcs-Git: git://git.kitenet.net/pdmenu
Homepage: http://kitenet.net/~joey/code/pdmenu/

Package: pdmenu
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: menu (>= 2.1.29)
Conflicts: menu (<< 2.0.0-5)
Description: simple console menu program
 A full screen console menu program, intended to be comfortable login shell
 for inexperienced users.
 .
 Pdmenu interfaces with Debian's menu system, to provide
 automatically-generated lists of installed programs.

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS=-O2 -Wall -g
INSTALL_PROGRAM=install

%:
	dh $@

override_dh_auto_configure:
	./configure $(GPMCONFIG) --prefix=/usr --sysconfdir=/etc \
		--mandir=/usr/share/man CFLAGS="$(CFLAGS)"

override_dh_auto_test:
	# make test is interactive; skip it

override_dh_auto_clean:
	if [ -e Makefile ]; then $(MAKE) distclean; fi
	-test -r /usr/share/misc/config.sub && \
		cp -f /usr/share/misc/config.sub autoconf/config.sub
	-test -r /usr/share/misc/config.guess && \
		cp -f /usr/share/misc/config.guess autoconf/config.guess

override_dh_auto_install:
	$(MAKE) INSTALL_PREFIX=debian/pdmenu \
		INSTALL_PROGRAM="$(INSTALL_PROGRAM)" install

override_dh_installmenu:
	dh_installmenu
	install debian/menu-method-x11 debian/pdmenu/etc/menu-methods/pdmenu-x11
	install debian/menu-method-vc  debian/pdmenu/etc/menu-methods/pdmenu-vc

override_dh_installexamples:
	dh_installexamples -X.in -X.pl examples/*

override_dh_compress:
	dh_compress -X examples/

# Not intended for use by anyone except the author.
announcedir:
	@echo ${HOME}/src/joeywiki/code/pdmenu/news

## pdmenu 1.3.2ubuntu1

=== debian/changelog ===
pdmenu (1.3.2ubuntu1) trusty; urgency=low

  * Use autotools-dev helper for newer arches, resolving FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Tue, 01 Apr 2014 16:40:52 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: pdmenu
 Section: shells
 Priority: optional
-Build-Depends: debhelper (>= 8), libslang2-dev (>= 1.4.4-3), libgpm-dev [!hurd-any !kfreebsd-any], gettext, dpkg-dev (>= 1.9.0)
-Maintainer: Joey Hess <joeyh@debian.org>
+Build-Depends: debhelper (>= 8), libslang2-dev (>= 1.4.4-3), libgpm-dev [!hurd-any !kfreebsd-any], gettext, dpkg-dev (>= 1.9.0), autotools-dev
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
 Standards-Version: 3.9.2
 Vcs-Git: git://git.kitenet.net/pdmenu
 Homepage: http://kitenet.net/~joey/code/pdmenu/

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 INSTALL_PROGRAM=install
 
 %:
-	dh $@
+	dh $@ --with autotools_dev
 
 override_dh_auto_configure:
 	./configure $(GPMCONFIG) --prefix=/usr --sysconfdir=/etc \

## pdmenu 1.3.3

=== debian/changelog ===
pdmenu (1.3.3) unstable; urgency=medium

  * Added autotools-dev to the build to update config.{guess,sub},
    and do it before the clean target. Closes: #756569
    Thanks, Fernando Seiti Furusato.

 -- Joey Hess <joeyh@debian.org>  Sat, 09 Aug 2014 11:52:19 -0400

=== debian/control ===
Source: pdmenu
Section: shells
Priority: optional
Build-Depends: debhelper (>= 8), autotools-dev, libslang2-dev (>= 1.4.4-3), libgpm-dev [!hurd-any !kfreebsd-any], gettext, dpkg-dev (>= 1.9.0)
Maintainer: Joey Hess <joeyh@debian.org>
Standards-Version: 3.9.5
Vcs-Git: git://git.kitenet.net/pdmenu
Homepage: https://joeyh.name/code/pdmenu/

Package: pdmenu
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: menu (>= 2.1.29)
Conflicts: menu (<< 2.0.0-5)
Description: simple console menu program
 A full screen console menu program, intended to be comfortable login shell
 for inexperienced users.
 .
 Pdmenu interfaces with Debian's menu system, to provide
 automatically-generated lists of installed programs.

## pdmenu 1.3.4

=== debian/changelog ===
pdmenu (1.3.4) unstable; urgency=medium

  * Orphaned the Debian package.

 -- Joey Hess <joeyh@debian.org>  Sat, 08 Nov 2014 00:22:48 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: shells
 Priority: optional
 Build-Depends: debhelper (>= 8), autotools-dev, libslang2-dev (>= 1.4.4-3), libgpm-dev [!hurd-any !kfreebsd-any], gettext, dpkg-dev (>= 1.9.0)
-Maintainer: Joey Hess <joeyh@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Standards-Version: 3.9.5
 Vcs-Git: git://git.kitenet.net/pdmenu
 Homepage: https://joeyh.name/code/pdmenu/

## pdmenu 1.3.4build1

=== Makefile ===
CFLAGS_FOR_GCC	= -Wall
SRCDIR		= src
XGETTEXT	= xgettext --keyword=_ --keyword=N_ --add-comments=TRANS:
POTFILE		= po/pdmenu.pot
SRCFILES	= $(wildcard $(SRCDIR)/*.c)
OBJFILES	:= $(SRCFILES:%.c=%.o)
LANGS		= fr ru es
MOS		:= $(addprefix po/, $(addsuffix .mo, $(LANGS)))
LOCALEDIR	= $(INSTALL_PREFIX)/usr/share/locale

all: pdmenu $(POTFILE) $(MOS)

include makeinfo

pdmenu: .dep $(OBJFILES)
	${CC} -o pdmenu $(OBJFILES) $(CFLAGS) $(LIBS)

depend: .dep
dep: .dep
.dep: src/*.h src/*.c
	mv makeinfo makeinfo.bak
	awk '$$0 ~ /^# DO NOT REMOVE THIS LINE/ { exit } { print }'  \
		< makeinfo.bak > makeinfo
	-rm -f makeinfo.bak
	echo "# DO NOT REMOVE THIS LINE" >> makeinfo
	$(CC) -MM $(SRCFILES) | sed 's!^\(.*\)\.o[ :]!$(SRCDIR)/\1.o:!' \
		>> makeinfo
	touch .dep

distclean: clean
	-$(MAKE) -C po distclean
	find . -name '\#*\#' -o -name '*.bak' -o -name '.??*' -o \
		-name '*~' -o -name '.gdb_history' -exec rm {} \;
	rm -f examples/pdmenurc examples/pdmenurc.monitor \
		examples/pdmenurc.complex examples/newbie/pdmenurc.newbie \
		src/slang.h config.cache config.log config.status makeinfo \
		.dep gmon.out doc/pdmenu.man doc/pdmenurc.man

clean:
	$(MAKE) $(POTFILE) # make sure translators' input is ready
	rm -f $(OBJFILES) pdmenu $(MOS)

install: all
	$(INSTALL) -d $(INSTALL_PREFIX)/$(BINDIR) \
		$(INSTALL_PREFIX)/$(MANDIR)/man1 \
		$(INSTALL_PREFIX)/$(MANDIR)/man5 \
		$(INSTALL_PREFIX)/$(SYSCONFDIR) \
		$(INSTALL_PREFIX)/$(DATADIR)/pdmenu
	$(INSTALL_PROGRAM) pdmenu $(INSTALL_PREFIX)/$(BINDIR)
	$(INSTALL) doc/pdmenu.man $(INSTALL_PREFIX)/$(MANDIR)/man1/pdmenu.1 -m 0644
	$(INSTALL) doc/pdmenurc.man $(INSTALL_PREFIX)/$(MANDIR)/man5/pdmenurc.5 -m 0644
	if [ -e $(INSTALL_PREFIX)/$(SYSCONFDIR)/pdmenurc ]; then \
		echo "Backing up $(INSTALL_PREFIX)/$(SYSCONFDIR)/pdmenurc to $(INSTALL_PREFIX)/$(SYSCONFDIR)/pdmenurc.old .." ; \
		cp $(INSTALL_PREFIX)/$(SYSCONFDIR)/pdmenurc $(INSTALL_PREFIX)/$(SYSCONFDIR)/pdmenurc.old ; \
	fi
	$(INSTALL) examples/pdmenurc $(INSTALL_PREFIX)/$(SYSCONFDIR)/pdmenurc -m 0644
	$(INSTALL) examples/showdir.pl $(INSTALL_PREFIX)/$(DATADIR)/pdmenu
	cd $(INSTALL_PREFIX)/$(DATADIR)/pdmenu && $(LN_S) -f showdir.pl editdir.pl
	for lang in $(LANGS); do \
		[ ! -d $(LOCALEDIR)/$$lang/LC_MESSAGES/ ] && mkdir -p $(LOCALEDIR)/$$lang/LC_MESSAGES/; \
		install -m 644 po/$$lang.mo $(LOCALEDIR)/$$lang/LC_MESSAGES/pdmenu.mo; \
	done

test: pdmenu
	./pdmenu examples/pdmenurc

debian:
	dpkg-buildpackage -tc -rfakeroot

configure: configure.ac
	autoconf

config.status: configure
	./configure

makeinfo: autoconf/makeinfo.in config.status
	./config.status

.c.o:
	cd $(SRCDIR) && $(CC) -c ../$< $(CFLAGS)

$(POTFILE): $(SRCFILES)
	$(XGETTEXT) -o $(POTFILE)-update $(SRCFILES)
	if test -f $(POTFILE); then \
	  if diff -I '^"POT-Creation-Date:' -I '^Report-Msgid-Bugs-To:' $(POTFILE) $(POTFILE)-update >/dev/null 2>&1; then \
	      rm -f $(POTFILE)-update; \
	  else \
	      rm -f $(POTFILE); \
	      mv $(POTFILE)-update $(POTFILE); \
	  fi; \
	else \
	  mv $(POTFILE)-update $(POTFILE); \
	fi

%.mo: %.po
	msgfmt -o $@ $<

.PHONY: debian test install clean distclean

=== debian/changelog ===
pdmenu (1.3.4build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:38:51 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: shells
 Priority: optional
 Build-Depends: debhelper (>= 8), autotools-dev, libslang2-dev (>= 1.4.4-3), libgpm-dev [!hurd-any !kfreebsd-any], gettext, dpkg-dev (>= 1.9.0)
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
 Standards-Version: 3.9.5
 Vcs-Git: git://git.kitenet.net/pdmenu
 Homepage: https://joeyh.name/code/pdmenu/

=== debian/rules ===
--- 
+++ 
@@ -14,11 +14,9 @@
 	# make test is interactive; skip it
 
 override_dh_auto_clean:
+	dh_autotools-dev_updateconfig
 	if [ -e Makefile ]; then $(MAKE) distclean; fi
-	-test -r /usr/share/misc/config.sub && \
-		cp -f /usr/share/misc/config.sub autoconf/config.sub
-	-test -r /usr/share/misc/config.guess && \
-		cp -f /usr/share/misc/config.guess autoconf/config.guess
+	dh_autotools-dev_restoreconfig
 
 override_dh_auto_install:
 	$(MAKE) INSTALL_PREFIX=debian/pdmenu \

## pdmenu 1.3.4ubuntu1

=== debian/changelog ===
pdmenu (1.3.4ubuntu1) hirsute; urgency=medium

  * Apply patch from Debian VCS to fix FTBFS with GCC 10.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 12 Jan 2021 23:05:35 -0500
